/*@import url("../../css/variables.css");*/

.checkout-row select{
    -webkit-appearance: none;
    appearance: none;
    background: url(../images/arrow_down.png) no-repeat right 5px center #ffffff;
    background-size: 20px;
}
.checkout-reminder-row select{
    font-size: 13px;
    border: solid 1px var(--checkout-border-color);
    outline: none;
    padding: 7px 25px 8px 11px;
    -webkit-appearance: none;
    appearance: none;
    background: url(../images/arrow_down.png) no-repeat right 5px center #ffffff;
    background-size: 20px;
    border-radius: var(--checkout-border-radius);
}
.checkout-payment-block.card{
    border: none;
    border-radius: 0;
}
.hidden{
    display: none;
}
.full-height-card{
    flex: 1;
}
.coupon-input {
    display: flex;
    width: 100%;
    position: relative;
}
.coupon-input button {
    align-self: center;
    position: absolute;
    right: 5px;
    padding: 5px;
    font-size: 13px;
    background: #b8bdbf;
    color: #ffffff;
    border: none;
    border-radius: var(--checkout-sm-border-radius);
    text-transform: uppercase;
}

.billing-info-title{
    margin: 40px 0;
    padding: 0 30px;
}

.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 999;
}

.modal-window {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 555px;
    min-width: 280px;
    padding: 0px 30px 20px 30px;
    background: #fff;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    z-index: 1000;
}

.checkout-modal-content {
    text-align: center;
}

.checkout-modal-title{
    position: relative;
    margin-left: -30px;
    margin-right: -30px;
    padding: 21px 30px 21px 30px;
    font-size: 20px;
    font-weight: 500;
    background: #f3f3f3;
    margin-bottom: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}


.modal-close {
    background: none;
    border: none;
    font-size: 24px;
    cursor: pointer;
}

.checkout-payment-methods{
    display: flex;
    justify-content: center;
    flex-direction: column;
    margin-top: 30px;
    margin-bottom: 15px;
}
.checkout-payment-option{
    cursor: pointer;
    background-color: #fbfcff;
    border: 1px solid #dfe1e3;
    display: flex;
    width: 100%;
    text-align: center;
    color: #414c69;
    font-weight: bold;
    text-decoration: none;
    position: relative;
    margin-bottom: 16px;
    align-items: center;
}
.checkout-payment-option.active,
.checkout-payment-option:hover{
    background: #ffffff;
    border-color: #8092ec;
    color: #414c69;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.33);
}
.checkout-payment-option.active .method-name,
.checkout-payment-option:hover .method-name{
    background: #ffffff;
    box-shadow: none;
}
.checkout-method-name{
    padding: 26px 15px;
    background: #f5f7fb;
    text-align: center;
    max-width: 130px;
    width: 100%;
}
.checkout-method-images{
    padding: 20px 10px;
    height: 100%;
    min-height: 72px;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-wrap: wrap;
    border-left: 1px solid #dfe1e3;
}

.checkout-errors {
    padding: 10px 15px;
    color: red;
    width: 100%;
    text-align: center;
}

.cart-total-amount {
    font-size: 15px;
    font-weight: 600;
}

.cart-total-amount-base-amount {
  font-size: 13px;
  margin-right: 6px;
}

.cart-total-amount-current-price {
  color: #86210f;
}

.checkout-cart-header img{
    margin-right: 12px;
}
.checkout-cart-header div{
    display: flex;
    align-items: center;
}
.checkout-column:last-child{
    margin-top: 20px;
}
.checkout-cart-header{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px 21px 30px 24px;
    border: solid 1px #e8e8e8;
    margin: 0 30px;
    cursor: pointer;
    margin-top: 20px;
}
.checkout-cart-container{
    margin: 0 30px;
    max-height: 0px;
    padding: 0 30px;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -ms-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
    overflow: hidden;
}
.checkout-cart-container.open{
    max-height: 1000px;
    padding: 30px 21px 10px 24px;
    border: solid 1px #e8e8e8;
    border-top: none;
}
.remove-item{
    text-align: right;
}
.checkout-free-item-row{
    color: #4a9e12;
}
.checkout-error{
    color: red;
    padding-top: 5px;
    font-size: 11px;
}

.checkout-custom-container {
    min-width: 320px;
    max-width: 1230px;
    height: 100%;
    padding: 0px 15px;
    margin: 0px auto;
}
.checkout-page-row{
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 30px;
}
.checkout-column{
    flex: 1 1 50%;
    max-width: 580px;
    display: flex;
    flex-direction: column;
}

.checkout-page-heading{
    margin: 20px 0;
    font-size: 22px;
}
.checkout-old-customer{
    margin-bottom: 20px;
}
#oldcustomer{
    background: #f9f9f9;
    margin: 20px 0;
    padding: 20px 0;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
}

.checkout-old-customer-button{
    border: none;
    background-color: var(--checkout-main-color);
    color: #ffffff;
    padding: 7px 25px;
    margin-top: 20px;
}
.checkout-submit-button{
    margin-top: 20px;
    border: none;
    text-transform: uppercase;
    background-color: var(--checkout-main-color);
    color: #ffffff;
    padding: 22px 50px;
    border-radius: var(--checkout-border-radius);
}
.checkout-card{
    border: solid 1px #efefef;
    background-color: #fff;
    padding-bottom: 28px;
    margin-bottom: 24px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
}
.checkout-card.order-status-stage{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 50px 15px;
    text-align: center;
}
.checkout-card.order-status-stage img{
    margin-bottom: 10px;
}
.checkout-card input[type="radio"]{
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 50%;
    width: 18px;
    min-width: 18px;
    height: 18px;
    border: 1px solid #999;
    transition: 0.2s alllinear;
    margin-right: 5px;
    position: relative;
    text-align: center;
    cursor: pointer;
}
.checkout-card input[type="radio"]:checked:after {
    width: 6px;
    height: 6px;
    border-radius: 50%;
    position: absolute;
    background-color: #000000;
    content: "";
    display: inline-block;
    visibility: visible;
    border: none;
    top: 5px;
    left: 50%;
    margin-left: -3px;
}
.checkout-radio{
    display: flex;
    align-items: center;
}
label.checkout-radio{
    margin-bottom: 0;
}
.checkout-radio span{
    display: flex;
    align-items: center;
}
.checkout-card-title{
    color: #121313;
    font-size: 15px;
    font-weight: 600;
    background-color: #f9f9f9;
    width: 100%;
    padding: 15px 30px;
    margin-bottom: 25px;
}
.checkout-title{
    color: #121313;
    font-size: 15px;
    font-weight: 600;
    width: 100%;
    padding-bottom: 15px;
}

.checkout-row {
    width: 100%;
    padding: 0 30px 12px 30px;
}
.checkout-row label{
    display: block;
    font-size: 13px;
    font-weight: 300;
    color: #050505;
    margin-bottom: 5px;
}
.checkout-row label.error{
    color: red;
    font-size: 12px;
    margin-top: 5px;
}
.checkout-row input,
.checkout-row select {
    display: block;
    width: 100%;
    font-size: 13px;
    border: solid 1px var(--checkout-border-color);
    background-color: #ffffff;
    outline: none;
    padding: var(--checkout-input-padding, 7px 15px 8px 11px);
    border-radius: var(--checkout-border-radius);
}
.checkout-inline-inputs{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 26px;
}
.checkout-inline-inputs>.checkout-row:first-child{
    padding-right: 0;
}
.checkout-inline-inputs>.checkout-row:last-child{
    padding-left: 0;
}
.checkout-dob-container {
    display: flex;
    flex-direction: column;
}

.checkout-dob-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
    align-items: center;
}
.checkout-form-group {
    display: block;
    margin-bottom: 0;
}

.checkout-form-group input {
    padding: 0;
    height: initial;
    width: initial;
    margin-bottom: 0;
    display: none;
    cursor: pointer;
}

.checkout-form-group label {
    position: relative;
    cursor: pointer;
    margin-bottom: 0;
}

.checkout-form-group label:before {
    content:'';
    -webkit-appearance: none;
    background-color: #fff;
    border: 1px solid #ededed;
    box-shadow: 0 1px 2px rgba(255, 255, 255, 0.05), inset 0px -15px 10px -12px rgba(255, 255, 255, 0.05);
    padding: 9px;
    display: inline-block;
    position: relative;
    vertical-align: middle;
    cursor: pointer;
    margin-right: 10px;
    margin-bottom: 3px;
}

.checkout-form-group input:checked + label:after {
    content: '';
    display: block;
    position: absolute;
    top: 2px;
    left: 8px;
    width: 6px;
    height: 14px;
    border: solid #000000;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.checkout-item-container {
    margin-bottom: 10px;
}
.checkout-item-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 12px;
    padding-bottom: 12px;
    border-bottom: 1px solid #e8e8e8;
}
.checkout-item-row.checkout-services{
    border: none;
    background: #f9f9f9;
    padding: 10px 0 10px 10px;
}
.checkout-item-name {
    display: inline-flex;
    justify-content: flex-start;
    align-items: center;
}
.checkout-item-price{
    align-self: flex-end;
}
.checkout-item-info {
    display: grid;
    grid-template-columns: 40px 80px 40px;
    align-items: center;
    justify-content: center; /* Центрирование по горизонтали */
    text-align: center;
    gap: 10px;
}
.checkout-item-row.checkout-total-row{
    margin-top: 25px;
    border-bottom: none;
    font-size: 15px;
    font-weight: 600;
}
.checkout-total-row .checkout-item-info>div,
.checkout-services .checkout-item-info>div{
    grid-column: 1 / -1;
}
.checkout-payment-header {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
}
.modal-link{
    color: #86210f;
}
.checkout-reminder{
    padding: 0 30px;
}
.checkout-reminder p{
    margin: 15px 0;
}
.checkout-reminder-row{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 15px;
}
.checkout-reminder-row>div{
    display: flex;
    align-self: center;
    gap: 10px;
}
.checkout-sub-header{
    margin: 0 30px;
    font-weight: bold;
}
.checkout-order-status-content{
    margin: 0 30px 20px 30px;
    padding-bottom: 20px;
    border-bottom: 1px solid #efefef;
}
.checkout-order-status-content:last-child{
    border-bottom: none;
}
.checkout-order-status-content ul{
    padding: 0;
    margin-top: 10px;
    margin-bottom: 0;
}
.checkout-order-status-content ul li{
    list-style: none;
    margin-bottom: 10px;
}
.checkout-order-status .checkout-column:last-child{
    margin-top: 0;
}
.checkout-card-no-title {
    margin-top: 15px;
}
.checkout-info-text{
    display: block;
    margin-top: 5px;
}
@media only screen and (max-width: 1024px) {
    .checkout-page-row {
        flex-direction: column;
        gap: 0;
    }
    .checkout-column{
        max-width: 100%;
    }
    .checkout-column:last-child{
        margin-top: 0;
    }
    .checkout-card {
        flex-direction: column;
        display: flex;
    }
    .payment-container{
        order: 3;
        margin-top: 20px;
    }
    .billing-info-title{
        margin: 10px 0;
    }
}
@media only screen and (max-width: 768px) {
    .checkout-row{
        padding: 0 10px 12px 10px;
    }
    .checkout-card-title{
        padding: 15px 10px;
    }
    .checkout-order-status-content{
        margin: 0 10px 20px 10px;
    }
    .billing-info-title,
    .checkout-reminder{
        padding: 0 10px;
    }
    .checkout-cart-header{
        padding: 30px 10px 30px 10px;
        margin: 0 10px;
    }
    .checkout-cart-container,
    .checkout-sub-header{
        margin: 0 10px;
    }
    .checkout-sub-header.checkout-card-no-title{
        margin: 15px 10px 0 10px
    }
    .checkout-cart-container.open{
        padding: 30px 10px 10px 10px;
    }
}
@media only screen and (max-width: 600px) {
    .modal-window{
        top: 10px;
        left: 10px;
        right: 10px;
        width: auto;
        min-width: 300px;
        transform: none;
    }
    .checkout-method-name{
        display: none;
    }
    .checkout-method-images{
        border-left: none;
    }
}
@media only screen and (max-width: 480px) {
    .checkout-payment-header,
    .checkout-cart-header>.cart-total-amount{
        display: block;
    }
    .checkout-payment-header .modal-link{
        margin-top: 15px;
        display: block;
    }
}
